CUPS_VERSION_MAJOR is not defined

Desktop / LibreOffice - Caolán McNamara [redhat.com] - 12 September 2017 08:16 EDT

on arm

###

diff --git a/vcl/unx/generic/printer/ppdparser.cxx b/vcl/unx/generic/printer/ppdparser.cxx
index 97551db..3f9a0d1 100644
--- a/vcl/unx/generic/printer/ppdparser.cxx
+++ b/vcl/unx/generic/printer/ppdparser.cxx
@@ -619,6 +619,7 @@ PPDParser::PPDParser( const OUString& rFile, std::vector keys) :
if ( pKey ) {
PPDKey* pImageableAreas = new PPDKey("ImageableArea");
PPDKey* pPaperDimensions = new PPDKey("PaperDimension");
+#if defined(CUPS_VERSION_MAJOR)
#if (CUPS_VERSION_MAJOR == 1 && CUPS_VERSION_MINOR >= 7) || CUPS_VERSION_MAJOR > 1
for (int i = 0; i < pKey->countValues(); i++) {
const PPDValue* pValue = pKey -> getValue(i);
@@ -648,6 +649,7 @@ PPDParser::PPDParser( const OUString& rFile, std::vector keys) :
}
}
#endif // HAVE_CUPS_API_1_7
+#endif
insertKey("ImageableArea", pImageableAreas);
insertKey("PaperDimension", pPaperDimensions);
}

83748e5 CUPS_VERSION_MAJOR is not defined
vcl/unx/generic/printer/ppdparser.cxx | 2 ++
1 file changed, 2 insertions(+)

Upstream: cgit.freedesktop.org


  • Share